<!DOCTYPE html>
<html>

<head>

<meta charset="utf-8" />
<title>attachment</title>

<link rel="stylesheet" href="../../../style.css" type="text/css" />

<link rel="stylesheet" href="../../../navbar.css" type="text/css" />


<link rel="stylesheet" href="../../../local.css" type="text/css" />






<meta name="robots" content="noindex, follow" />



</head>
<body>

<article class="page">

<section class="pageheader">
<header class="header" style="width: 100%">
<span style="width: 50px; float: left; padding-right: 10px;">
<img src="../../../images/logo-debian.png" width="50" height="61">
</span>
<span style="float: right; width: 147px; padding-left: 10px;">
<a href="http://lca2015.linux.org.au"><img src="../../../images/logo-lca2015.png" style="padding-right: 10px;"></a>
</span>
<span style="float: left;">
<span class="parentlinks">


<a href="../../../">LCA2015 Debian Miniconf & NZ2015 mini-DebConf</a>/ 

<a href="../../">ikiwiki</a>/ 

<a href="../">pagespec</a>/ 


</span>
<span class="title">
attachment

</span>
</span>



</header>









</section>



<aside class="sidebar">


<div><div class="calendar"><table class="month-calendar">
    <tr>
    <th class="month-calendar-arrow"></th>
    <th class="month-calendar-head" colspan="5">February 2015</th>
    <th class="month-calendar-arrow"></th>
    </tr>
    <tr>
        <th class="month-calendar-day-head Sunday" title="Sunday">S</th>
        <th class="month-calendar-day-head Monday" title="Monday">M</th>
        <th class="month-calendar-day-head Tuesday" title="Tuesday">T</th>
        <th class="month-calendar-day-head Wednesday" title="Wednesday">W</th>
        <th class="month-calendar-day-head Thursday" title="Thursday">T</th>
        <th class="month-calendar-day-head Friday" title="Friday">F</th>
        <th class="month-calendar-day-head Saturday" title="Saturday">S</th>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">1</td>
        <td class="month-calendar-day-nolink Monday">2</td>
        <td class="month-calendar-day-nolink Tuesday">3</td>
        <td class="month-calendar-day-nolink Wednesday">4</td>
        <td class="month-calendar-day-nolink Thursday">5</td>
        <td class="month-calendar-day-nolink Friday">6</td>
        <td class="month-calendar-day-nolink Saturday">7</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">8</td>
        <td class="month-calendar-day-nolink Monday">9</td>
        <td class="month-calendar-day-nolink Tuesday">10</td>
        <td class="month-calendar-day-nolink Wednesday">11</td>
        <td class="month-calendar-day-nolink Thursday">12</td>
        <td class="month-calendar-day-this-day Friday"><div class="popup">13<div class="balloon"><ul>
            <li><a href="../../../posts/Slides/" title="Slides">Slides</a></li>
        </ul></div></div></td>
        <td class="month-calendar-day-future Saturday">14</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">15</td>
        <td class="month-calendar-day-nolink Monday">16</td>
        <td class="month-calendar-day-nolink Tuesday">17</td>
        <td class="month-calendar-day-nolink Wednesday">18</td>
        <td class="month-calendar-day-nolink Thursday">19</td>
        <td class="month-calendar-day-nolink Friday">20</td>
        <td class="month-calendar-day-nolink Saturday">21</td>
    </tr>
    <tr>
        <td class="month-calendar-day-nolink Sunday">22</td>
        <td class="month-calendar-day-nolink Monday">23</td>
        <td class="month-calendar-day-nolink Tuesday">24</td>
        <td class="month-calendar-day-nolink Wednesday">25</td>
        <td class="month-calendar-day-nolink Thursday">26</td>
        <td class="month-calendar-day-nolink Friday">27</td>
        <td class="month-calendar-day-nolink Saturday">28</td>
    </tr>
</table>
</div></div>


<p><a href="../../../archives/">Archives</a></p>

<p><a href="../../../tags/">Tags</a>:</p>

<ul class="list">
</ul>




</aside>



<nav id="navbar">
<!-- The navbar -->
<div class="navbar">



<div class="tabs">
 <ul>
  <li><a href="../../../"><span>Home</span></a></li>
  <li><a href="../../../About_Us/"><span>About Us</span></a></li>
  <li><a href="../../../Programme/"><span>Programme</span></a></li>
  <li><a href="../../../Accommodation/"><span>Accommodation</span></a></li>
  <li><a href="../../../Call_for_Presentations/"><span>CFP</span></a></li>
  <li><a href="../../../posts/"><span>Blog</span></a></li>
 </ul>
</div>

</div>
<span class="endNavbar"></span>
<!-- end of navbar -->

<section id="sponsors">
<h1>Sponsors</h2>
<a href="http://www.catalyst.net.nz"><img alt="Catalyst Logo" src="../../../images/CatalystLogoWithTagline_130w.png" width="130" height="65"></a>
</section>
</nav>


<div id="pagebody">

<section id="content" role="main">
<p>This wiki has attachments <strong>disabled</strong>.</p>

<p>If attachments are enabled, the wiki admin can control what types of
attachments will be accepted, via the <code>allowed_attachments</code>
configuration setting.</p>

<p>For example, to limit most users to uploading small images, and nothing else,
while allowing larger mp3 files to be uploaded by joey into a specific
directory, and check all attachments for viruses, something like this could be
used:</p>

<pre><code>virusfree() and ((user(joey) and podcast/*.mp3 and mimetype(audio/mpeg) and maxsize(15mb)) or (mimetype(image/*) and maxsize(50kb)))
</code></pre>

<p>The regular <a href="../">PageSpec</a> syntax is expanded with the following
additional tests:</p>

<ul>
<li><p>"<code>maxsize(size)</code>" - tests whether the attachment is no larger than the
specified size. The size defaults to being in bytes, but "kb", "mb", "gb"
etc can be used to specify the units.</p></li>
<li><p>"<code>minsize(size)</code>" - tests whether the attachment is no smaller than the
specified size.</p></li>
<li><p>"<code>ispage()</code>" - tests whether the attachment will be treated by ikiwiki as a
wiki page. (Ie, if it has an extension of ".mdwn", or of any other enabled
page format).</p>

<p>So, if you don't want to allow wiki pages to be uploaded as attachments,
use <code>!ispage()</code> ; if you only want to allow wiki pages to be uploaded
as attachments, use <code>ispage()</code>.</p></li>
<li><p>"<code>mimetype(foo/bar)</code>" - checks the MIME type of the attachment. You can
include a glob in the type, for example <code>mimetype(image/*)</code>.</p></li>
<li><p>"<code>virusfree()</code>" - checks the attachment with an antiviral program.</p></li>
</ul>


</section>







</div>

<footer id="footer" class="pagefooter" role="contentinfo">

<nav id="pageinfo">











<div class="pagedate">
Last edited <time datetime="2014-09-12T20:23:58Z">Sat 13 Sep 2014 08:23:58 NZST</time>
<!-- Created <time datetime="2013-07-11T02:04:36Z" pubdate="pubdate">Thu 11 Jul 2013 14:04:36 NZST</time> -->
</div>

</nav>


<!-- from LCA2015 Debian Miniconf & NZ2015 mini-DebConf -->
</footer>

</article>

</body>
</html>
